wibble::Fallback< T > Struct Template Reference

`#include <fallback.h>`

Collaboration diagram for wibble::Fallback< T >:
[legend]

## Public Member Functions

| Fallback (const T &v)
| Fallback (Error=Error())
template<typename E >
const T & | get (const E &e)
const T & | get ()

## Public Attributes

const T * | value

## Constructor & Destructor Documentation

template<typename T >

wibble::Fallback< T >::Fallback | ( | const T & | v | ) |

inline

template<typename T >

wibble::Fallback< T >::Fallback | ( | Error | = `Error()` | ) |

inline

## Member Function Documentation

template<typename T >
template<typename E >

const T& wibble::Fallback< T >::get | ( | const E & | e | ) |

inline

References wibble::Fallback< T >::value.

template<typename T >

const T& wibble::Fallback< T >::get | ( |  | ) |

inline

References wibble::Fallback< T >::value.

## Member Data Documentation

template<typename T >

const T* wibble::Fallback< T >::value

Referenced by wibble::Fallback< T >::get().

The documentation for this struct was generated from the following file:

- fallback.h